/* Formulario General CSS
//--------------------------------------------------------------------- */

/* Formularios generales
---------------------------------------------------------------- */
div.formulario-general div.pod {
	max-width: 800px;
	margin: 0 auto;
	display: grid;
	grid-template-columns: 1fr;
	grid-gap: 15px;
}

div.formulario-general div.pod div.mitades,
div.formulario-general div.pod div.pod-payment-mitades {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 15px;
}

div.formulario-general div.pod div.enteros {
	display: grid;
	grid-template-columns: 1fr;
	grid-gap: 15px;
}

div.formulario-general label,
div.formulario-general span.label {
	font-weight: 500;
	font-family: var(--font-family-secundaria);
	color: var(--color-teal);
	padding-left: 5px;
	display: block;
	margin-bottom: 5px;
}

div.formulario-general span.dato-general {
	font-weight: 400;
	font-family: var(--font-family-secundaria);
	color: var(--color-principal);
	padding-left: 5px;
	display: block;
}

div.formulario-general .rte {
	padding-left: 5px;
	color: var(--color-gris-azulado);
}

div.formulario-general input[type=text],
div.formulario-general input[type=email],
div.formulario-general textarea,
div.formulario-general input[type=password],
#billsby-number,
#billsby-cvv {
    display: block;
    width: 100%;
    border: none;
    background: var(--color-clear);
    padding: 15px;
	color: var(--color-gris-azulado);
	border: 2px solid var(--color-clear);
	height: 50px;
}

div.formulario-general textarea { height: auto; }

#billsby-number.error,
#billsby-cvv.error { border-color: var(--color-dark-blue); }

div.formulario-general div.total {
	display: block;
	width: 100%;
	padding: 15px;
	height: 50px;
}

div.formulario-general div.pod div.pod-payment-enteros input { margin-bottom: 15px; }
div.formulario-general input.error { border-color: var(--color-blue) !important; }

div.formulario-general input::placeholder {
	color: var(--color-gris-azulado-claro);
	opacity: 1;
}

div.formulario-general input:-ms-input-placeholder { color: var(--color-gris-azulado-claro); }
div.formulario-general input::-ms-input-placeholder { color: var(--color-gris-azulado-claro); }

div.formulario-general select {
	appearance: none;
    display: block;
    width: 100%;
    border: none;
    background: transparent;
    padding: 15px;
	color: var(--color-gris-azulado);
	position: relative;
	height: 50px;
}

div.formulario-general div.select {
	background-color: var(--color-clear);
	position: relative;
}

div.formulario-general div.select i {
	position: absolute;
	top: 50%;
	right: 15px;
	transform: translateY(-50%) rotate(90deg);
	color: var(--color-teal);
	font-size: 15px;
}

div.formulario-general input[type=submit] {
	background-color: var(--color-teal);
	color: var(--color-blanco);
	font-weight: 500;
	font-family: var(--font-family-secundaria);
	border: none;
	display: inline-block;
	padding: 15px 45px;
	width: min-content;
	white-space: nowrap;
	margin: 0 auto;
	cursor: pointer;
}

div.formulario-general input[type=submit]:hover { background: var(--color-dark-blue); }

div.formulario-general div.rate-me i {
	color: var(--color-gris-azulado-claro);
	cursor: pointer;
}

div.formulario-general div.rate-me i.activo { color: var(--color-blue); }
div.formulario-general div.rate-me input { display: none; }

div.formulario-general div.plan-descriptions { display: none; }
div.formulario-general div.plan-descriptions div.pricing-model { display: none; }

div.formulario-general div.payment { display: none; }
div.formulario-general div.pod-payment .heading { margin: 15px 0; display: block; }

div.formulario-general div.botones-user-billing a.user-delete-account-trigger {
	float: right;
	background: var(--color-principal);
}

div.formulario-general div.botones-user-billing a.user-delete-account-trigger:hover { background: var(--color-dark-blue); }

@media (max-width: 575px) {
	div.formulario-general div.botones-user-billing a { display: block; width: 100%; margin-bottom: 10px; text-align: center; }
	div.formulario-general div.botones-user-billing a:last-child { margin-bottom: 0; }
	div.formulario-general div.botones-user-billing a.user-delete-account-trigger { float: none; }
}